/////////////////////////////////////////////////////////////////////////////////////
// File:	regpage.js
// Author:	Walt Jones
// Email:	wjones@blarg.net
// Date:	8 August, 2000
// Project:	ResNet Autoreg v2.0
// Purpose:	Provides javascript functions for the primary registration site
/////////////////////////////////////////////////////////////////////////////////////

// Eats all spaces and tabs
function eatWhite(string)
{
	var str = new Array();
	str = string.split("\t");
	string = new String();
	for (i = 0; i < str.length; i++)
		string += str[i];
	str = string.split(" ");
	string = new String();
	for (i = 0; i < str.length; i++)
		string += str[i];
	return string;
}

// Validate the form and convert the username to uppercase
function validateForm()
{
	var form = document.regForm;
	form.username.value = eatWhite(form.username.value);
	form.username.value = form.username.value.toUpperCase();
	form.passwd.value = eatWhite(form.passwd.value);
	
	if (form.username.value.length == 0)
	{
		alert("You have not specified a username");
		form.username.focus();
		return false;
	}
	if (form.username.value.indexOf('@', 0) != -1)
	{
		alert("Invalid username. '@' not allowed");
		form.username.focus();
		return false;
	}
	else if (form.passwd.value.length == 0)
	{
		alert("You have not specified a password");
		form.passwd.focus();
		return false;
	}
	else if (form.os.selectedIndex == 0)
	{
		alert("You have not specified an OS");
		return false;
	}
	else if (form.man.selectedIndex == 0)
	{
		alert("You have not specified a manufacturer");
		return false;
	}
	else if (form.system.selectedIndex == 0)
	{
		alert("You have not specified a system type");
		return false;
	}
	else if (form.nic.selectedIndex == 0)
	{
		alert("You have not specified a network card");
		return false;
	}
	
	return true;
}