/////////////////////////////////////////////////////////////////////////////////////
// File:	timeutils.h
// Author:	Walt Jones
// Email:	wjones@blarg.net
// Date:	2 July, 2000
// Purpose:	Functions that handle system time
/////////////////////////////////////////////////////////////////////////////////////


// Make sure this file is included only once
#if !defined( TIMEUTILS_H )
#define TIMEUTILS_H

#include <stdlib.h>
#include <string>
#include <time.h>

string getCurrTime();

string getCurrTime()
{
	string currtime;
	const time_t secs = time(0);
	currtime = string(ctime(&secs));
	return currtime.substr(0,currtime.length() - 1);
}

#endif // defined( TIMEUTILS_H )
